# InquiryPricePublicIpv6

## 1. 接口描述

本接口(InquiryPricePublicIpv6)用于公网Ipv6流量包或固定带宽询价。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称        | 必选 | 类型      | 描述                                                                                   |
| ----------- | -- | ------- | ------------------------------------------------------------------------------------ |
| regionId    | 是  | String  | 节点ID。                                                                                |
| packageSize | 否  | Float   | <p>流量包订购大小。</p><p>单位为TB。</p><p>可选值范围：\[0.0, +)</p>                                   |
| bandwidth   | 否  | Integer | <p>公网出带宽上限。</p><p>单位：Mbps。</p><p>不同机型带宽上限范围不一致，具体限制详见购买网络带宽。</p><p>可选值范围：\[1, +)</p> |

## 3. 响应结果

| 参数名称           | 类型                                                                                              | 描述                                                       |
| -------------- | ----------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId      | String                                                                                          | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| bandwidthPrice | [PriceItem](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#priceitem) | 带宽的价格。                                                   |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 在asia-east-1节点，公网Ipv6流量计费10TB的询价。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPricePublicIpv6
<Common Request Params>

Request：
{
  "regionId": "asia-east-1",
  "packageSize": 10
}

Response：
{
  "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183",
  "response": {
    "bandwidthPrice": {
      "discount": 100.0,
      "discountPrice": 2000.0,
      "originalPrice": 2000.0,
      "unitPrice": null,
      "discountUnitPrice": null,
      "chargeUnit": null,
      "excessUnitPrice": 2.0,
      "excessDiscountUnitPrice": 2.0,
      "excessAmountUnit": "GB",
      "stepPrices": null
    },
    "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                       | 说明      |
| ------- | ------------------------- | ------- |
| 404     | INVALID\_ZONE\_NOT\_FOUND | 可用区不存在。 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/vnic/inquirypricepublicipv6.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
